Name:           virtaal
Version:        0.7.1
Release:        %mkrel 4
Summary:        Localization and translation editor
Group:          System/Internationalization
License:        GPLv2+
URL:            http://translate.sourceforge.net/wiki/virtaal/index
Source0:        http://downloads.sourceforge.net/translate/%{name}-%{version}.tar.bz2
# (Fedora) add some patches from fedora:
Patch0:         virtaal-0.7.1-setup_drop_MO_generation.patch
Patch1:         virtaal-0.3.0-autocorr_shared_location.patch
Patch2:         virtaal-0.7.0-packaged.patch
BuildArch:      noarch
%py_requires -d
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  python-translate >= 1.5.1
BuildRequires:  python-lxml
Requires:	iso-codes
Requires:       python-translate  >= 1.5.1
Requires:       pygtk2.0
Requires:	pygtk2.0-libglade
Requires:       gnome-python-gtkspell
Requires:	python-enchant
Requires:	python-lxml
Requires:       python-gobject
# python-pycurl needed for open-tran.eu
Requires:       python-curl
Requires:	python-simplejson
Requires:       xdg-utils
Requires:       python-levenshtein
# python-psycopg needed for tinytm
Suggests:       python-psycopg2

%description
A program for Computer Aided Translation (CAT) built on the Translate Toolkit.

Virtaal includes features that allow a localizer to work effecively including:
syntax highlighting, autocomplete and autocorrect.  Showing only 
the data that is needed through its simple and effective user interface it
ensures that you can focus on the translation task straight away.

By building on the Translate Toolkit, Virtaal is able to edit any of the
following formats: XLIFF, Gettext PO and .mo, Qt .ts, .qph and .qm, Wordfast 
TM, TMX, TBX.  By using the Translate Toolkit converters a translator can edit:
OpenOffice.org SDF, Java (and Mozilla) .properties and Mozilla DTD.
 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .drop_MO_generation
%patch1 -p1 -b .autocorr_shared_location
%patch2 -p1 -b .packaged

%build
%{__python} setup.py build
./maketranslations %{name}
pushd po
for po in $(ls *.po | egrep -v de_DE)
do
    mkdir -p locale/$(basename $po .po)/LC_MESSAGES/
    msgfmt $po --output-file=locale/$(basename $po .po)/LC_MESSAGES/%{name}.mo
done
popd

%install
rm -rf %buildroot
%{__python} setup.py install --nodepcheck --skip-build --install-data=%{_prefix} --root=%buildroot

mkdir -p %{buildroot}%{_datadir}/
cp -rp po/locale %{buildroot}%{_datadir}/

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_datadir}/virtaal
%{_datadir}/icons/*
%{python_sitelib}/*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.1-4.mga4
+ Revision: 544707
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.1-3.mga4
+ Revision: 499977
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 0.7.1-2.mga3
+ Revision: 385424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 21 2012 remmy <remmy> 0.7.1-1.mga2
+ Revision: 232213
- imported package virtaal

